Index: typo3/sysext/adodb/adodb/tests/client.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/client.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/client.php	(working copy)
@@ -1,37 +1,41 @@
 <html>
 <body bgcolor=white>
 <?php
-/** 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/**
  * V4.50 6 July 2004  (c) 2001-2002 John Lim (jlim#natsoft.com.my). All rights reserved.
- * Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
- * 
+ * Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+ *
  * set tabs to 8
  */
- 
- // documentation on usage is at http://php.weblogs.com/adodb_csv
- 
- echo PHP_VERSION,'<br>';
- var_dump(parse_url('odbc_mssql://userserver/'));
- die();
- 
+
+// documentation on usage is at http://php.weblogs.com/adodb_csv
+
+echo PHP_VERSION,'<br>';
+var_dump(parse_url('odbc_mssql://userserver/'));
+
 include('../adodb.inc.php');
 include('../tohtml.inc.php');
 
- function &send2server($url,$sql)
- {
+function &send2server($url,$sql)
+{
 	$url .= '?sql='.urlencode($sql);
 	print "<p>$url</p>";
 	$rs = csv2rs($url,$err);
 	if ($err) print $err;
 	return $rs;
- }
- 
- function print_pre($s)
- {
- 	print "<pre>";print_r($s);print "</pre>";
- }
+}
+
+function print_pre($s)
+{
+	print "<pre>";print_r($s);print "</pre>";
+}
 
 
 $serverURL = 'http://localhost/php/phplens/adodb/server.php';
@@ -42,37 +46,37 @@
 $sql3 = "insert into products (productname) values ('testprod 2')";
 $sql4 = "delete from products where productid>80";
 $sql5 = 'select * from products';
-	
+
 if ($testhttp) {
 	print "<a href=#c>Client Driver Tests</a><p>";
 	print "<h3>Test Error</h3>";
 	$rs = send2server($serverURL,$sql1);
 	print_pre($rs);
 	print "<hr />";
-	
+
 	print "<h3>Test Insert</h3>";
-	
+
 	$rs = send2server($serverURL,$sql2);
 	print_pre($rs);
 	print "<hr />";
-	
+
 	print "<h3>Test Insert2</h3>";
-	
+
 	$rs = send2server($serverURL,$sql3);
 	print_pre($rs);
 	print "<hr />";
-	
+
 	print "<h3>Test Delete</h3>";
-	
+
 	$rs = send2server($serverURL,$sql4);
 	print_pre($rs);
 	print "<hr />";
-	
-	
+
+
 	print "<h3>Test Select</h3>";
 	$rs = send2server($serverURL,$sql5);
 	if ($rs) rs2html($rs);
-	
+
 	print "<hr />";
 }
 
@@ -112,21 +116,21 @@
 adorecordset Object
 (
 	[dataProvider] => native
-	[fields] => 
+	[fields] =>
 	[blobSize] => 64
-	[canSeek] => 
+	[canSeek] =>
 	[EOF] => 1
-	[emptyTimeStamp] =>  
-	[emptyDate] =>  
-	[debug] => 
+	[emptyTimeStamp] =>
+	[emptyDate] =>
+	[debug] =>
 	[timeToLive] => 0
-	[bind] => 
+	[bind] =>
 	[_numOfRows] => -1
 	[_numOfFields] => 0
 	[_queryID] => 1
 	[_currentRow] => -1
-	[_closed] => 
-	[_inited] => 
+	[_closed] =>
+	[_inited] =>
 	[sql] => insert into products (productname) values ('testprod')
 	[affectedrows] => 1
 	[insertid] => 81
@@ -141,21 +145,21 @@
 adorecordset Object
 (
 	[dataProvider] => native
-	[fields] => 
+	[fields] =>
 	[blobSize] => 64
-	[canSeek] => 
+	[canSeek] =>
 	[EOF] => 1
-	[emptyTimeStamp] =>  
-	[emptyDate] =>  
-	[debug] => 
+	[emptyTimeStamp] =>
+	[emptyDate] =>
+	[debug] =>
 	[timeToLive] => 0
-	[bind] => 
+	[bind] =>
 	[_numOfRows] => -1
 	[_numOfFields] => 0
 	[_queryID] => 1
 	[_currentRow] => -1
-	[_closed] => 
-	[_inited] => 
+	[_closed] =>
+	[_inited] =>
 	[sql] => insert into products (productname) values ('testprod')
 	[affectedrows] => 1
 	[insertid] => 82
@@ -170,29 +174,29 @@
 adorecordset Object
 (
 	[dataProvider] => native
-	[fields] => 
+	[fields] =>
 	[blobSize] => 64
-	[canSeek] => 
+	[canSeek] =>
 	[EOF] => 1
-	[emptyTimeStamp] =>  
-	[emptyDate] =>  
-	[debug] => 
+	[emptyTimeStamp] =>
+	[emptyDate] =>
+	[debug] =>
 	[timeToLive] => 0
-	[bind] => 
+	[bind] =>
 	[_numOfRows] => -1
 	[_numOfFields] => 0
 	[_queryID] => 1
 	[_currentRow] => -1
-	[_closed] => 
-	[_inited] => 
+	[_closed] =>
+	[_inited] =>
 	[sql] => delete from products where productid>80
 	[affectedrows] => 2
 	[insertid] => 0
 )
 
 [more stuff deleted]
- .
- . 
- .
+.
+.
+.
 */
-?>
+?>
\ No newline at end of file
Index: typo3/sysext/adodb/adodb/tests/test-active-recs2.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-active-recs2.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-active-recs2.php	(working copy)
@@ -1,4 +1,9 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 error_reporting(E_ALL);
 include('../adodb.inc.php');
 
Index: typo3/sysext/adodb/adodb/tests/test3.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test3.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test3.php	(working copy)
@@ -1,10 +1,15 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
-  V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence.
-  Set tabs to 8.
+	V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 8.
  */
 
 
@@ -13,7 +18,7 @@
 $path = dirname(__FILE__);
 
 include("$path/../adodb-exceptions.inc.php");
-include("$path/../adodb.inc.php");	
+include("$path/../adodb.inc.php");
 
 try {
 $db = NewADOConnection("oci8");
Index: typo3/sysext/adodb/adodb/tests/tmssql.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/tmssql.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/tmssql.php	(working copy)
@@ -1,18 +1,23 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 error_reporting(E_ALL);
-ini_set('mssql.datetimeconvert',0); 
+ini_set('mssql.datetimeconvert',0);
 
 function tmssql()
 {
 	print "<h3>mssql</h3>";
 	$db = mssql_connect('JAGUAR\vsdotnet','adodb','natsoft') or die('No Connection');
 	mssql_select_db('northwind',$db);
-	
+
 	$rs = mssql_query('select getdate() as date',$db);
 	$o = mssql_fetch_row($rs);
 	print_r($o);
 	mssql_free_result($rs);
-	
+
 	print "<p>Delete</p>"; flush();
 	$rs2 = mssql_query('delete from adoxyz',$db);
 	$p = mssql_num_rows($rs2);
@@ -29,7 +34,7 @@
 	$password = 'natsoft';
 	$hostname = 'JAGUAR\vsdotnet';
 	$databasename = 'northwind';
-	
+
 	$dsn = "mssql://$username:$password@$hostname/$databasename";
 	$conn = &DB::connect($dsn);
 	print "date=".$conn->GetOne('select getdate()')."<br>";
@@ -53,16 +58,6 @@
 	$rs = $conn->Execute('delete from tester');
 	print "date=".$conn->GetOne('select getdate()')."<br>";
 }
-
-
-$ACCEPTIP = '127.0.0.1';
-
-$remote = $_SERVER["REMOTE_ADDR"]; 
-
-if (!empty($ACCEPTIP))
- if ($remote != '127.0.0.1' && $remote != $ACCEPTIP) 
- 	die("Unauthorised client: '$remote'");
-	
 ?>
 <a href=tmssql.php?do=tmssql>mssql</a>
 <a href=tmssql.php?do=tpear>pear</a>
Index: typo3/sysext/adodb/adodb/tests/test4.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test4.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test4.php	(working copy)
@@ -1,18 +1,22 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
-/** 
+/**
  * @version V4.50 6 July 2004 (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
- * Released under both BSD license and Lesser GPL library license. 
- * Whenever there is any discrepancy between the two licenses, 
- * the BSD license will take precedence. 
+ * Released under both BSD license and Lesser GPL library license.
+ * Whenever there is any discrepancy between the two licenses,
+ * the BSD license will take precedence.
  *
  * Set tabs to 4 for best viewing.
- * 
+ *
  * Latest version is available at http://php.weblogs.com
  *
  * Test GetUpdateSQL and GetInsertSQL.
  */
- 
+
 error_reporting(E_ALL);
 function testsql()
 {
@@ -28,9 +32,9 @@
 // This code tests an insert
 
 $sql = "
-SELECT * 
-FROM ADOXYZ WHERE id = -1"; 
-// Select an empty record from the database 
+SELECT *
+FROM ADOXYZ WHERE id = -1";
+// Select an empty record from the database
 
 
 #$conn = &ADONewConnection("mssql");  // create a connection
@@ -90,9 +94,9 @@
 // This code tests an update
 
 $sql = "
-SELECT * 
-FROM ADOXYZ WHERE lastname=".$conn->Param('var'). " ORDER BY 1"; 
-// Select a record to update 
+SELECT *
+FROM ADOXYZ WHERE lastname=".$conn->Param('var'). " ORDER BY 1";
+// Select a record to update
 
 $varr = array('var'=>$record['lastname'].'');
 $rs = $conn->Execute($sql,$varr); // Execute the query and get the existing record to update
Index: typo3/sysext/adodb/adodb/tests/testsessions.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testsessions.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testsessions.php	(working copy)
@@ -1,13 +1,17 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
-/* 
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 function NotifyExpire($ref,$key)
@@ -16,7 +20,7 @@
 }
 
 //-------------------------------------------------------------------
-	
+
 error_reporting(E_ALL);
 
 
@@ -28,7 +32,7 @@
 
 #### CONNECTION
 switch($db) {
-case 'oci8': 
+case 'oci8':
 	$options['table'] = 'adodb_sessions2';
 	ADOdb_Session::config('oci8', '', 'jcollect', 'natsoft', '',$options);
 	break;
@@ -36,7 +40,7 @@
 case 'postgres':
 	ADOdb_Session::config('postgres', 'localhost', 'tester', 'test', 'test',$options);
 	break;
-	
+
 case 'mysql':
 default:
 	ADOdb_Session::config('mysql', 'localhost', 'root', '', 'xphplens_2',$options);
@@ -44,9 +48,9 @@
 
 
 }
-	
 
-	
+
+
 #### SETUP NOTIFICATION
 	$USER = 'JLIM'.rand();
 	$ADODB_SESSION_EXPIRE_NOTIFY = array('USER','NotifyExpire');
@@ -55,22 +59,22 @@
 	session_start();
 
 	adodb_session_regenerate_id();
-	
-### SETUP SESSION VARIABLES 
+
+### SETUP SESSION VARIABLES
 	if (empty($_SESSION['MONKEY'])) $_SESSION['MONKEY'] = array(1,'abc',44.41);
 	else $_SESSION['MONKEY'][0] += 1;
 	if (!isset($_GET['nochange'])) @$_SESSION['AVAR'] += 1;
 
-	
+
 ### START DISPLAY
 	print "<h3>PHP ".PHP_VERSION."</h3>";
 	print "<p><b>\$_SESSION['AVAR']={$_SESSION['AVAR']}</b></p>";
-	
+
 	print "<hr /> <b>Cookies</b>: ";
 	print_r($_COOKIE);
-	
+
 	var_dump($_SESSION['MONKEY']);
-	
+
 ### RANDOMLY PERFORM Garbage Collection
 ### In real-production environment, this is done for you
 ### by php's session extension, which calls adodb_sess_gc()
@@ -78,10 +82,10 @@
 ### session.cookie_lifetime and session.gc_probability
 
 	if (rand() % 5 == 0) {
-	
+
 		print "<hr /><p><b>Garbage Collection</b></p>";
 		adodb_sess_gc(10);
-		
+
 		if (rand() % 2 == 0) {
 			print "<p>Random session destroy</p>";
 			session_destroy();
Index: typo3/sysext/adodb/adodb/tests/test-pgblob.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-pgblob.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-pgblob.php	(working copy)
@@ -1,4 +1,8 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 function getmicrotime()
 {
@@ -10,11 +14,11 @@
 function doloop()
 {
 global $db,$MAX;
-	
-	$sql = "select id,firstname,lastname from adoxyz where 
+
+	$sql = "select id,firstname,lastname from adoxyz where
 		firstname not like ? and lastname not like ? and id=?";
 	$offset = 0;
-	/*$sql = "select * from juris9.employee join juris9.emp_perf_plan on epp_empkey = emp_id 
+	/*$sql = "select * from juris9.employee join juris9.emp_perf_plan on epp_empkey = emp_id
 		where emp_name not like ? and emp_name not like ? and emp_id=28000+?";
 	$offset = 28000;*/
 	for ($i=1; $i <= $MAX; $i++) {
Index: typo3/sysext/adodb/adodb/tests/pdo.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/pdo.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/pdo.php	(working copy)
@@ -1,84 +1,89 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 error_reporting(E_ALL);
 include('../adodb.inc.php');
 
 echo "<pre>";
 try {
 	echo "New Connection\n";
-	
-	
+
+
 	$dsn = 'pdo_mysql://root:@localhost/northwind?persist';
-	
+
 	if (!empty($dsn)) {
 		$DB =& NewADOConnection($dsn) || die("CONNECT FAILED");
 		$connstr = $dsn;
 	} else {
-	
+
 		$DB = NewADOConnection('pdo');
-		
+
 		echo "Connect\n";
-		
+
 		$u = ''; $p = '';
 		/*
 		$connstr = 'odbc:nwind';
-		
+
 		$connstr = 'oci:';
 		$u = 'scott';
 		$p = 'natsoft';
-		
-		
+
+
 		$connstr ="sqlite:d:\inetpub\adodb\sqlite.db";
 		*/
-		
+
 		$connstr = "mysql:dbname=northwind";
 		$u = 'root';
-		
+
 		$connstr = "pgsql:dbname=test";
 		$u = 'tester';
 		$p = 'test';
-		
+
 		$DB->Connect($connstr,$u,$p) || die("CONNECT FAILED");
-	
+
 	}
-	
+
 	echo "connection string=$connstr\n Execute\n";
-	
+
 	//$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
 	$rs = $DB->Execute("select * from ADOXYZ where id<3");
 	if  ($DB->ErrorNo()) echo "*** errno=".$DB->ErrorNo() . " ".($DB->ErrorMsg())."\n";
-	
-	
+
+
 	//print_r(get_class_methods($DB->_stmt));
-	
+
 	if (!$rs) die("NO RS");
-	
+
 	echo "Meta\n";
 	for ($i=0; $i < $rs->NumCols(); $i++) {
 		var_dump($rs->FetchField($i));
 		echo "<br>";
 	}
-	
+
 	echo "FETCH\n";
 	$cnt = 0;
 	while (!$rs->EOF) {
-		adodb_pr($rs->fields); 
+		adodb_pr($rs->fields);
 		$rs->MoveNext();
 		if ($cnt++ > 1000) break;
 	}
-	
+
 	echo "<br>--------------------------------------------------------<br>\n\n\n";
-	
+
 	$stmt = $DB->PrepareStmt("select * from ADOXYZ");
-	
+
 	$rs = $stmt->Execute();
 	$cols = $stmt->NumCols(); // execute required
-	
+
 	echo "COLS = $cols";
 	for($i=1;$i<=$cols;$i++) {
 		$v = $stmt->_stmt->getColumnMeta($i);
 		var_dump($v);
 	}
-	
+
 	echo "e=".$stmt->ErrorNo() . " ".($stmt->ErrorMsg())."\n";
 	while ($arr = $rs->FetchRow()) {
 		adodb_pr($arr);
Index: typo3/sysext/adodb/adodb/tests/test-xmlschema.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-xmlschema.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-xmlschema.php	(working copy)
@@ -1,4 +1,8 @@
 <?PHP
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 // V4.50 6 July 2004
 
@@ -13,7 +17,7 @@
 // To create a schema object and build the query array.
 $schema = new adoSchema( $db );
 
-// To upgrade an existing schema object, use the following 
+// To upgrade an existing schema object, use the following
 // To upgrade an existing database to the provided schema,
 // uncomment the following line:
 #$schema->upgradeSchema();
Index: typo3/sysext/adodb/adodb/tests/testdatabases.inc.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testdatabases.inc.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testdatabases.inc.php	(working copy)
@@ -1,21 +1,25 @@
 <?php
-  
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence.
-*/ 
- 
- /* this file is used by the ADODB test program: test.php */
- ?>
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+*/
+
+/* this file is used by the ADODB test program: test.php */
+?>
 
 <table><tr valign=top><td>
 <form method=get>
 <input type=checkbox name="testaccess" value=1 <?php echo !empty($testaccess) ? 'checked' : '' ?>> <b>Access</b><br>
 <input type=checkbox name="testibase" value=1 <?php echo !empty($testibase) ? 'checked' : '' ?>> <b>Interbase</b><br>
 <input type=checkbox name="testmssql" value=1 <?php echo !empty($testmssql) ? 'checked' : '' ?>> <b>MSSQL</b><br>
- <input type=checkbox name="testmysql" value=1 <?php echo !empty($testmysql) ? 'checked' : '' ?>> <b>MySQL</b><br>
+<input type=checkbox name="testmysql" value=1 <?php echo !empty($testmysql) ? 'checked' : '' ?>> <b>MySQL</b><br>
 <input type=checkbox name="testmysqlodbc" value=1 <?php echo !empty($testmysqlodbc) ? 'checked' : '' ?>> <b>MySQL ODBC</b><br>
 <input type=checkbox name="testmysqli" value=1 <?php echo !empty($testmysqli) ? 'checked' : '' ?>> <b>MySQLi</b>
 <br>
@@ -76,12 +80,12 @@
 		print "ERROR: PostgreSQL requires a database called test on server, user tester, password test.<BR>".$db->ErrorMsg();
 }
 
-if (!empty($testpgodbc)) { 
-	
+if (!empty($testpgodbc)) {
+
 	$db = &ADONewConnection('odbc');
 	$db->hasTransactions = false;
 	print "<h1>Connecting $db->databaseType...</h1>";
-	
+
 	if ($db->PConnect('Postgresql')) {
 		$db->hasTransactions = true;
 		testdb($db,
@@ -95,8 +99,8 @@
 	print "<h1>Connecting $db->databaseType...</h1>";
 	if ($db->PConnect("localhost:d:\\firebird\\151\\examples\\EMPLOYEE.fdb", "sysdba", "masterkey", ""))
 		testdb($db,"create table ADOXYZ (id integer, firstname char(24), lastname char(24),price numeric(12,2),created date)");
-	 else print "ERROR: Interbase test requires a database called employee.gdb".'<BR>'.$db->ErrorMsg();
-	
+	else print "ERROR: Interbase test requires a database called employee.gdb".'<BR>'.$db->ErrorMsg();
+
 }
 
 
@@ -105,16 +109,16 @@
 	$dsn = "sqlite://$path/";
 	$db = ADONewConnection($dsn);
 	//echo $dsn;
-	
+
 	//$db = &ADONewConnection('sqlite');
-	
+
 
 	if ($db && $db->PConnect("d:\\inetpub\\adodb\\sqlite.db", "", "", "")) {
 		print "<h1>Connecting $db->databaseType...</h1>";
 		testdb($db,"create table ADOXYZ (id int, firstname char(24), lastname char(24),created datetime)");
-	} else 
+	} else
 		print "ERROR: SQLite";
-	
+
 }
 
 if (!empty($testpdopgsql)) {
@@ -133,7 +137,7 @@
 	$db = &ADONewConnection('pdo');
 	print "<h1>Connecting $db->databaseType...</h1>";
 	$db->Connect($connstr,$u,$p) || die("CONNECT FAILED");
-	
+
 	testdb($db,
 		"create table ADOXYZ (id int, firstname char(24), lastname char(24), created date)");
 }
@@ -144,7 +148,7 @@
 	$db = &ADONewConnection('pdo');
 	print "<h1>Connecting $db->databaseType...</h1>";
 	$db->Connect($connstr,$u,$p) || die("CONNECT FAILED");
-	
+
 	testdb($db,
 		"create table ADOXYZ (id int, firstname char(24), lastname char(24), created date)");
 }
@@ -189,19 +193,19 @@
 	$access = 'd:\inetpub\wwwroot\php\NWIND.MDB';
 	$dsn = "nwind";
 	$dsn = "Driver={Microsoft Access Driver (*.mdb)};Dbq=$access;Uid=Admin;Pwd=;";
-	
+
 	//$dsn =  'Provider=Microsoft.Jet.OLEDB.4.0;DATA SOURCE=' . $access . ';';
 	if ($db->PConnect($dsn, "", "", ""))
 		testdb($db,"create table ADOXYZ (id int, firstname char(24), lastname char(24),created datetime)");
 	else print "ERROR: Access test requires a Windows ODBC DSN=nwind, Access driver";
-	
+
 }
 
 if (!empty($testaccess) && !empty($testado)) { // ADO ACCESS
 
 	$db = &ADONewConnection("ado_access");
 	print "<h1>Connecting $db->databaseType...</h1>";
-	
+
 	$access = 'd:\inetpub\wwwroot\php\NWIND.MDB';
 	$myDSN =  'PROVIDER=Microsoft.Jet.OLEDB.4.0;'
 		. 'DATA SOURCE=' . $access . ';';
@@ -211,7 +215,7 @@
 		print "ADO version=".$db->_connectionID->version."<br>";
 		testdb($db,"create table ADOXYZ (id int, firstname char(24), lastname char(24),created datetime)");
 	} else print "ERROR: Access test requires a Access database $access".'<BR>'.$db->ErrorMsg();
-	
+
 }
 
 if (!empty($testvfp)) { // ODBC
@@ -220,16 +224,16 @@
 
 	if ( $db->PConnect("vfp-adoxyz")) {
 		testdb($db,"create table d:\\inetpub\\adodb\\ADOXYZ (id int, firstname char(24), lastname char(24),created date)");
-	 } else print "ERROR: Visual FoxPro test requires a Windows ODBC DSN=vfp-adoxyz, VFP driver";
-	
+	} else print "ERROR: Visual FoxPro test requires a Windows ODBC DSN=vfp-adoxyz, VFP driver";
+
 	echo "<hr />";
 	$db = &ADONewConnection('odbtp');
-	
+
 	if ( $db->PConnect('localhost','DRIVER={Microsoft Visual FoxPro Driver};SOURCETYPE=DBF;SOURCEDB=d:\inetpub\adodb;EXCLUSIVE=NO;')) {
 	print "<h1>Connecting $db->databaseType...</h1>";flush();
 	testdb($db,"create table d:\\inetpub\\adodb\\ADOXYZ (id int, firstname char(24), lastname char(24),created date)");
-	 } else print "ERROR: Visual FoxPro odbtp requires a Windows ODBC DSN=vfp-adoxyz, VFP driver";
-	
+	} else print "ERROR: Visual FoxPro odbtp requires a Windows ODBC DSN=vfp-adoxyz, VFP driver";
+
 }
 
 
@@ -242,7 +246,7 @@
 	$user = 'root'; $password = ''; $database = 'northwind';
 	$db = &ADONewConnection("mysqlt://$user:$password@$server/$database?persist");
 	print "<h1>Connecting $db->databaseType...</h1>";
-	
+
 	if (true || $db->PConnect($server, "root", "", "northwind")) {
 		//$db->Execute("DROP TABLE ADOXYZ") || die('fail drop');
 		//$db->debug=1;$db->Execute('drop table ADOXYZ');
@@ -268,7 +272,7 @@
 
 // REQUIRES MySQL server at localhost with database 'test'
 if (!empty($testmysqlodbc)) { // MYSQL
-	
+
 	$db = &ADONewConnection('odbc');
 	$db->hasTransactions = false;
 	print "<h1>Connecting $db->databaseType...</h1>";
@@ -294,22 +298,22 @@
 
 ADOLoadCode('oci805');
 ADOLoadCode("oci8po");
-	
+
 if (!empty($testoracle)) {
 	$dsn = "oci8po://juris10:natsoft@sherkhan?persist";
 	$db = ADONewConnection($dsn );//'oci8');
-	
+
 	//$db->debug=1;
 	print "<h1>Connecting $db->databaseType...</h1>";
 	if (true || $db->Connect('', "scott", "natsoft",''))
 		testdb($db,"create table ADOXYZ (id int, firstname varchar(24), lastname varchar(24),created date)");
-	else 
+	else
 		print "ERROR: Oracle test requires an Oracle server setup with scott/natsoft".'<BR>'.$db->ErrorMsg();
 
 }
 ADOLoadCode("oracle"); // no longer supported
-if (false && !empty($testoracle)) { 
-	
+if (false && !empty($testoracle)) {
+
 	$db = ADONewConnection();
 	print "<h1>Connecting $db->databaseType...</h1>";
 	if ($db->PConnect("", "scott", "tiger", "natsoft.domain"))
@@ -323,16 +327,16 @@
 	if (PHP_VERSION>=5.1) {
 		$db = ADONewConnection("db2");
 		print "<h1>Connecting $db->databaseType...</h1>";
-		
+
 		#$db->curMode = SQL_CUR_USE_ODBC;
 		#$dsn = "driver={IBM db2 odbc DRIVER};Database=test;hostname=localhost;port=50000;protocol=TCPIP; uid=natsoft; pwd=guest";
 		if ($db->Connect('localhost','natsoft','guest','test')) {
 			testdb($db,"create table ADOXYZ (id int, firstname varchar(24), lastname varchar(24),created date)");
 		} else print "ERROR: DB2 test requires an server setup with odbc data source db2_sample".'<BR>'.$db->ErrorMsg();
-	} else { 
+	} else {
 		$db = ADONewConnection("odbc_db2");
 		print "<h1>Connecting $db->databaseType...</h1>";
-		
+
 		$dsn = "db2test";
 		#$db->curMode = SQL_CUR_USE_ODBC;
 		#$dsn = "driver={IBM db2 odbc DRIVER};Database=test;hostname=localhost;port=50000;protocol=TCPIP; uid=natsoft; pwd=guest";
@@ -343,14 +347,14 @@
 echo "<hr />";
 flush();
 	$dsn = "driver={IBM db2 odbc DRIVER};Database=sample;hostname=localhost;port=50000;protocol=TCPIP; uid=root; pwd=natsoft";
-	
+
 	$db = ADONewConnection('odbtp');
 	if ($db->Connect('127.0.0.1',$dsn)) {
-		
+
 		$db->debug=1;
-		 $arr = $db->GetArray( "||SQLProcedures" ); adodb_pr($arr);
-	     $arr = $db->GetArray( "||SQLProcedureColumns|||GET_ROUTINE_SAR" );adodb_pr($arr);
-	
+		$arr = $db->GetArray( "||SQLProcedures" ); adodb_pr($arr);
+			 $arr = $db->GetArray( "||SQLProcedureColumns|||GET_ROUTINE_SAR" );adodb_pr($arr);
+
 		testdb($db,"create table ADOXYZ (id int, firstname varchar(24), lastname varchar(24),created date)");
 	} else echo ("ERROR Connection");
 	echo $db->ErrorMsg();
@@ -366,7 +370,7 @@
 	$db = ADONewConnection("mssqlpo");
 	//$db->debug=1;
 	print "<h1>Connecting $db->databaseType...</h1>";
-	
+
 	$ok = $db->Connect('','adodb','natsoft','northwind');
 
 	if ($ok or $db->PConnect("mangrove", "sa", "natsoft", "ai")) {
@@ -374,18 +378,18 @@
 	//	$db->Execute('drop table adoxyz');
 		testdb($db,"create table ADOXYZ (id int, firstname char(24) null, lastname char(24) null,created datetime null)");
 	} else print "ERROR: MSSQL test 2 requires a MS SQL 7 on a server='192.168.0.1', userid='adodb', password='natsoft', database='ai'".'<BR>'.$db->ErrorMsg();
-	
+
 }
 
 
 ADOLoadCode('odbc_mssql');
 if (!empty($testmssql)) { // MS SQL Server via ODBC
 	$db = ADONewConnection();
-	
+
 	print "<h1>Connecting $db->databaseType...</h1>";
-	
+
 	$dsn = "PROVIDER=MSDASQL;Driver={SQL Server};Server=$server;Database=northwind;";
-	
+
 	if ($db->PConnect($dsn, "adodb", "natsoft", ""))  {
 		testdb($db,"create table ADOXYZ (id int, firstname char(24) null, lastname char(24) null,created datetime null)");
 	}
@@ -395,19 +399,19 @@
 
 ADOLoadCode("ado_mssql");
 if (!empty($testmssql) && !empty($testado) ) { // ADO ACCESS MSSQL -- thru ODBC -- DSN-less
-	
+
 	$db = &ADONewConnection("ado_mssql");
 	//$db->debug=1;
 	print "<h1>Connecting DSN-less $db->databaseType...</h1>";
-	
+
 	$myDSN="PROVIDER=MSDASQL;DRIVER={SQL Server};"
 		. "SERVER=$server;DATABASE=NorthWind;UID=adodb;PWD=natsoft;Trusted_Connection=No";
 
-		
+
 	if ($db->PConnect($myDSN, "", "", ""))
 		testdb($db,"create table ADOXYZ (id int, firstname char(24) null, lastname char(24) null,created datetime null)");
 	else print "ERROR: MSSQL test 2 requires MS SQL 7";
-	
+
 }
 
 if (!empty($testmssql) && !empty($testado)) { // ADO ACCESS MSSQL with OLEDB provider
@@ -425,11 +429,11 @@
 
 if (extension_loaded('odbtp') && !empty($testmssql)) { // MS SQL Server via ODBC
 	$db = ADONewConnection('odbtp');
-	
+
 	$dsn = "PROVIDER=MSDASQL;Driver={SQL Server};Server=$server;Database=northwind;uid=adodb;pwd=natsoft";
-	
+
 	if ($db->PConnect('localhost',$dsn, "", ""))  {
-		print "<h1>Connecting $db->databaseType...</h1>";				
+		print "<h1>Connecting $db->databaseType...</h1>";
 		testdb($db,"create table ADOXYZ (id int, firstname char(24) null, lastname char(24) null,created datetime null)");
 	}
 	else print "ERROR: MSSQL test 1 requires a MS SQL 7 server setup with DSN setup";
